Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 614410 - <dev-perl/File-ShareDir-1.104.0 fails tests without '.' in @INC (Can't locate t/lib/ShareDir.pm in @INC)
Summary: <dev-perl/File-ShareDir-1.104.0 fails tests without '.' in @INC (Can't locate...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Low minor (vote)
Assignee: Gentoo Perl team
URL: https://github.com/perl5-utils/File-S...
Whiteboard:
Keywords: TESTFAILURE
Depends on: 643242
Blocks: perl-5.26-no-dot-inc
  Show dependency tree
 
Reported: 2017-04-01 10:54 UTC by Kent Fredric (IRC: kent\n) (RETIRED)
Modified: 2018-01-30 02:47 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) (RETIRED) gentoo-dev 2017-04-01 10:54:48 UTC
t/01_compile.t .. ok                                                    
t/02_main.t ..... Can't locate t/lib/ShareDir.pm in @INC (you may need to install the t::lib::ShareDir module) (@INC contains: /var/tmp/portage/dev-perl/File-ShareDir-1.102.0/work/File-ShareDir-1.102/blib/lib /var/tmp/portage/dev-perl/File-ShareDir-1.102.0/work/File-ShareDir-1.102/blib/arch /var/tmp/portage/dev-perl/File-ShareDir-1.102.0/work/File-ShareDir-1.102/blib/lib /var/tmp/portage/dev-perl/File-ShareDir-1.102.0/work/File-ShareDir-1.102/blib/arch /etc/perl /usr/local/lib64/perl5/5.25.11/x86_64-linux /usr/local/lib64/perl5/5.25.11 /usr/lib64/perl5/vendor_perl/5.25.11/x86_64-linux /usr/lib64/perl5/vendor_perl/5.25.11 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl/5.25.11 /usr/lib64/perl5/vendor_perl/5.22.3 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.25.11/x86_64-linux /usr/lib64/perl5/5.25.11) at t/02_main.t line 128.
BEGIN failed--compilation aborted at t/02_main.t line 128.
# Looks like your test exited with 2 before it could output anything.
t/02_main.t ..... Dubious, test returned 2 (wstat 512, 0x200)
Failed 30/30 subtests
Comment 1 Larry the Git Cow gentoo-dev 2017-10-21 04:31:21 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c736c45cccdf0c16dfe38a6e2ce83d141514fa7

commit 5c736c45cccdf0c16dfe38a6e2ce83d141514fa7
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2017-10-21 04:30:48 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2017-10-21 04:31:04 +0000

    dev-perl/File-ShareDir: Bump to version 1.104.0 Re bug #614410
    
    Upstream:
    - Fix for '.' in @INC in tests
    
    Bug: https://bugs.gentoo.org/614410
    Package-Manager: Portage-2.3.8, Repoman-2.3.3

 .../File-ShareDir/File-ShareDir-1.104.0.ebuild     | 27 ++++++++++++++++++++++
 dev-perl/File-ShareDir/Manifest                    |  1 +
 2 files changed, 28 insertions(+)}
Comment 2 Larry the Git Cow gentoo-dev 2018-01-30 02:18:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72848cba0aa5bec4c34beae7c7f8a493e8a703f2

commit 72848cba0aa5bec4c34beae7c7f8a493e8a703f2
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2018-01-30 02:02:04 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2018-01-30 02:18:10 +0000

    dev-perl/File-ShareDir: Cleanup old re bug #614410
    
    Closes: https://bugs.gentoo.org/614410
    Package-Manager: Portage-2.3.18, Repoman-2.3.6

 .../File-ShareDir/File-ShareDir-1.102.0.ebuild     | 27 ----------------------
 dev-perl/File-ShareDir/Manifest                    |  1 -
 2 files changed, 28 deletions(-)